Follow

Will Pro Tools | First run on macOS Catalina 10.15?

Applies to: Scarlett 2nd Gen, Scarlett 3rd Gen users with Pro Tools | First

No, at present Pro Tools | First is not supported and will likely not function on macOS Catalina 10.15. Avid are yet to update the software to support this new OS.

For the time being, if you wish to continue using Pro Tools | First, please refrain from updating to Catalina and remain on a supported OS. 

If you wish to stay informed on the status of this, please subscribe to the following articles for updates on Catalina support:

http://avid.force.com/pkb/articles/Compatibility/Pro-Tools-System-Requirements

http://avid.force.com/pkb/articles/compatibility/macOS-Catalina-support

http://avid.force.com/pkb/articles/FAQ/Pro-Tools-Technical-Alerts-and-Updates

Was this article helpful?
9 out of 16 found this helpful
Have more questions? Submit a request

Comments

Didn't find what you were looking for?

Search again using our search tool.